// axios
import axios from '@/common/axios.config'
import { baseApi } from '@/config'

// 用户信息 post 方法
export function eduGet() {
  return axios.get('//beta.api.cocorobo.cn/api/getcookieuserid')
}
export function eduGetUserinfo(rk) {
  return axios.get(`//api.edu.cocorobo.cn/edu/admin/userinfo/userinfoById/${rk}`)
}

// 退出登录
export function loginOut(data) {
  return axios.post('//beta.api.cocorobo.cn/api/logout',data)
}

export function getUser(data) {
  return axios.get(`${baseApi}/selectUser`, data)
}


export function addUser(data) {
  return axios.post(`${baseApi}/batchRegistrationUser`, [data])
}

export function addOp(data) {
  return axios.post(`${baseApi}/addCourseBehavior`, [data])
}


// // 登录
// export function login(data) {
//   return request({
//     url: api.Login,
//     method: 'post',
//     data
//   })
// }

// // 用户信息 post 方法
// export function getUserInfo(data) {
//   return request({
//     url: api.UserInfo,
//     method: 'post',
//     data,
//     hideloading: true
//   })
// }

// // 用户名称 get 方法
// export function getUserName(params) {
//   return request({
//     url: api.UserName,
//     method: 'get',
//     params,
//     hideloading: true
//   })
// }
